Bug 68782 - gimp-perl incompatible with perl 5.8
gimp-perl incompatible with perl 5.8
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: gimp (Show other bugs)
limbo
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-07-13 22:29 EDT by Jonathan Kamens
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-14 21:11:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2002-07-13 22:29:13 EDT
gimp-perl-1.2.3-5 contains this:

/usr/lib/perl5/site_perl/5.6.1/i386-linux/Gimp.pm

But of course perl in Limbo is 5.8, so it can't find this file:

LibGimp-WARNING **: gimp: wire_read: unexpected EOF
Can't locate Gimp.pm in @INC (@INC contains:
/usr/lib/perl5/5.8.0/i386-linux-thread-multi /usr/lib/perl5/5.8.0
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.0 /usr/lib/perl5/vendor_perl .) at
/usr/lib/gimp/1.2/plug-ins/xachvision line 9.
BEGIN failed--compilation aborted at /usr/lib/gimp/1.2/plug-ins/xachvision line 9.
Comment 1 Matt Wilson 2002-08-19 17:42:09 EDT
fixed in gimp-1.2.3-6 and later

Note You need to log in before you can comment on or make changes to this bug.